cdac.medinfo.enums

## Enum EnumTableHeader

- java.lang.Object
- - java.lang.Enum<EnumTableHeader>
  - - cdac.medinfo.enums.EnumTableHeader

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumTableHeader>

      public enum EnumTableHeader
      extends java.lang.Enum<EnumTableHeader>

  This class specify table's header name used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGE_OF_ONSET` This constant specifies value representation of column header for family history section
    `AUTHORIZATION` This constant specifies value representation of column header for payer section
    `CONDITION` This constant specifies value representation of column header for problems section
    `CONDITION_STATUS` This constant specifies value representation of column header for multiple section
    `COVERED_PARTY_ID` This constant specifies value representation of column header for payer section
    `DATE` This constant specifies value representation of column header for multiple section
    `DATE_SUPPLIED` This constant specifies value representation of column header for medical equipment section
    `DESCRIPTION` This constant specifies value representation of column header for multiple section
    `DIAGNOSIS` This constant specifies value representation of column header for family history section
    `DIRECTIVE` This constant specifies value representation of column header for advance directives section
    `EFFECTIVE_DATES` This constant specifies value representation of column header for multiple section
    `ENCOUNTER` This constant specifies value representation of column header for encounters section
    `FUNCTIONAL_CONDITION` This constant specifies value representation of column header for functional status section
    `INSTRUCTIONS` This constant specifies value representation of column header for medications section
    `LOCATION` This constant specifies value representation of column header for encounters section
    `MEDICATIONS` This constant specifies value representation of column header for medications section
    `PAYER_NAME` This constant specifies value representation of column header for payer section
    `PLANNED_ACTIVITY` This constant specifies value representation of column header for plan section
    `PLANNED_DATE` This constant specifies value representation of column header for plan section
    `POLICY_TYPE` This constant specifies value representation of column header for payer section
    `PROCEDURE` This constant specifies value representation of column header for procedures section
    `REACTION` This constant specifies value representation of column header for alerts section
    `SOCIAL_HISTORY_ELEMENT` This constant specifies value representation of column header for social history section
    `START_DATE` This constant specifies value representation of column header for medications section
    `STATUS` This constant specifies value representation of column header for multiple section
    `SUBSTANCE` This constant specifies value representation of column header for alerts section
    `SUPPLY_DEVICE` This constant specifies value representation of column header for medical equipment section
    `SUPPORTING_DOCUMENT` This constant specifies value representation of column header for advance directives section
    `VACCINE` This constant specifies value representation of column header for immunizations section
    `VERIFICATION` This constant specifies value representation of column header for advance directives section

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumTableHeader` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumTableHeader[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAYER_NAME

          public static final EnumTableHeader PAYER_NAME

      This constant specifies value representation of column header for payer section

    - #### POLICY_TYPE

          public static final EnumTableHeader POLICY_TYPE

      This constant specifies value representation of column header for payer section

    - #### COVERED_PARTY_ID

          public static final EnumTableHeader COVERED_PARTY_ID

      This constant specifies value representation of column header for payer section

    - #### AUTHORIZATION

          public static final EnumTableHeader AUTHORIZATION

      This constant specifies value representation of column header for payer section

    - #### DIRECTIVE

          public static final EnumTableHeader DIRECTIVE

      This constant specifies value representation of column header for advance directives section

    - #### DESCRIPTION

          public static final EnumTableHeader DESCRIPTION

      This constant specifies value representation of column header for multiple section

    - #### VERIFICATION

          public static final EnumTableHeader VERIFICATION

      This constant specifies value representation of column header for advance directives section

    - #### SUPPORTING_DOCUMENT

          public static final EnumTableHeader SUPPORTING_DOCUMENT

      This constant specifies value representation of column header for advance directives section

    - #### FUNCTIONAL_CONDITION

          public static final EnumTableHeader FUNCTIONAL_CONDITION

      This constant specifies value representation of column header for functional status section

    - #### EFFECTIVE_DATES

          public static final EnumTableHeader EFFECTIVE_DATES

      This constant specifies value representation of column header for multiple section

    - #### CONDITION_STATUS

          public static final EnumTableHeader CONDITION_STATUS

      This constant specifies value representation of column header for multiple section

    - #### DIAGNOSIS

          public static final EnumTableHeader DIAGNOSIS

      This constant specifies value representation of column header for family history section

    - #### AGE_OF_ONSET

          public static final EnumTableHeader AGE_OF_ONSET

      This constant specifies value representation of column header for family history section

    - #### CONDITION

          public static final EnumTableHeader CONDITION

      This constant specifies value representation of column header for problems section

    - #### SOCIAL_HISTORY_ELEMENT

          public static final EnumTableHeader SOCIAL_HISTORY_ELEMENT

      This constant specifies value representation of column header for social history section

    - #### SUBSTANCE

          public static final EnumTableHeader SUBSTANCE

      This constant specifies value representation of column header for alerts section

    - #### STATUS

          public static final EnumTableHeader STATUS

      This constant specifies value representation of column header for multiple section

    - #### REACTION

          public static final EnumTableHeader REACTION

      This constant specifies value representation of column header for alerts section

    - #### MEDICATIONS

          public static final EnumTableHeader MEDICATIONS

      This constant specifies value representation of column header for medications section

    - #### INSTRUCTIONS

          public static final EnumTableHeader INSTRUCTIONS

      This constant specifies value representation of column header for medications section

    - #### START_DATE

          public static final EnumTableHeader START_DATE

      This constant specifies value representation of column header for medications section

    - #### SUPPLY_DEVICE

          public static final EnumTableHeader SUPPLY_DEVICE

      This constant specifies value representation of column header for medical equipment section

    - #### DATE_SUPPLIED

          public static final EnumTableHeader DATE_SUPPLIED

      This constant specifies value representation of column header for medical equipment section

    - #### VACCINE

          public static final EnumTableHeader VACCINE

      This constant specifies value representation of column header for immunizations section

    - #### DATE

          public static final EnumTableHeader DATE

      This constant specifies value representation of column header for multiple section

    - #### PROCEDURE

          public static final EnumTableHeader PROCEDURE

      This constant specifies value representation of column header for procedures section

    - #### ENCOUNTER

          public static final EnumTableHeader ENCOUNTER

      This constant specifies value representation of column header for encounters section

    - #### LOCATION

          public static final EnumTableHeader LOCATION

      This constant specifies value representation of column header for encounters section

    - #### PLANNED_ACTIVITY

          public static final EnumTableHeader PLANNED_ACTIVITY

      This constant specifies value representation of column header for plan section

    - #### PLANNED_DATE

          public static final EnumTableHeader PLANNED_DATE

      This constant specifies value representation of column header for plan section

  - ### Method Detail

    - #### values

          public static EnumTableHeader[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumTableHeader c : EnumTableHeader.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumTableHeader valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.